Skip to main content
POST
Go (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Body

application/json
name
string
required
Required string length: 1 - 255
Pattern: ^[^\u0000]*$
team_id
string | null

Team that owns the project. Defaults to the authenticated team. Organization owners and admins can name any team in their organization, or pass null for an organization-level project. Service accounts can only use their own team.

Required string length: 1 - 128
Pattern: ^[^\u0000]*$

Response

Success

id
string
required
org_id
string
required
team_id
string | null
required
name
string
required
created_at
string<date-time>
required

When the project was created, in UTC.

Example:

"2026-09-01T12:30:00Z"

updated_at
string<date-time>
required

When the project was last updated, in UTC.

Example:

"2026-09-01T12:30:00Z"

archived_at
string<date-time> | null
required

When the project was archived, in UTC. Null for active projects.

Example:

"2026-09-02T12:30:00Z"